# $Revision: 1.11 $, $Date: 2004/08/18 20:36:19 $
Summary:	golded - offline message reader for Fidonet and Usenet
Summary(pl):	golded - program pocztowy dla Fidonetu i Usenetu
Name:		golded+
Version:	1.1.4.7
Release:	5
License:	GPL
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/golded-plus/gps114-7.tar.bz2
# Source0-md5:	0bb9d4b9be90630e4ea87a3928f047a4
Patch0:		golded-ncurses.patch
Patch1:		golded-header.patch
Patch2:		golded-c++.patch
URL:		http://golded-plus.sourceforge.net/
BuildRequires:	gcc-c++
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
golded - offline message reader for Fidonet and Usenet.

%description -l pl
golded - dziaajcy offline edytor wiadomoci dla Fidonetu i Usenetu.

%prep
%setup -q -n golded+
%patch -p0
%patch1 -p0
%patch2 -p1

%build
%{__make} CC="%{__cc} %{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{_libdir}/golded/{charset,colorset,config,template}

install bin/gedlnx	$RPM_BUILD_ROOT%{_bindir}/golded
install bin/gnlnx	$RPM_BUILD_ROOT%{_bindir}/goldnode
install bin/rddtlnx	$RPM_BUILD_ROOT%{_bindir}/rddt

install docs/*.1	$RPM_BUILD_ROOT%{_mandir}/man1

install cfgs/charset/*.chs $RPM_BUILD_ROOT%{_libdir}/golded/charset
install cfgs/charset/*.esc $RPM_BUILD_ROOT%{_libdir}/golded/charset

install cfgs/colorset/*.cfg $RPM_BUILD_ROOT%{_libdir}/golded/colorset
install cfgs/config/*.cfg $RPM_BUILD_ROOT%{_libdir}/golded/config
install cfgs/config/goldlang* $RPM_BUILD_ROOT%{_libdir}/golded/config
install cfgs/template/*.tpl $RPM_BUILD_ROOT%{_libdir}/golded/template
install cfgs/template/*.cfm $RPM_BUILD_ROOT%{_libdir}/golded/template

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/golded
%attr(755,root,root) %{_bindir}/goldnode
%attr(755,root,root) %{_bindir}/rddt
%{_mandir}/man1/*
%doc docs/*.txt docs/StyleGuide
%{_libdir}/golded/charset/*
%{_libdir}/golded/colorset/*
%{_libdir}/golded/config*
%{_libdir}/golded/template/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: golded+.spec,v $
Revision 1.11  2004/08/18 20:36:19  undefine
- release 5

Revision 1.10  2003/11/23 05:32:15  speedy
- release 4

Revision 1.9  2003/08/30 15:56:55  qrczak
- golded-c++.patch: Fixes for gcc3
- Release 3

Revision 1.8  2003/08/11 22:46:30  ankry
- cosmetics

Revision 1.7  2003/06/27 12:42:57  misi3k
- std sf url

Revision 1.6  2003/05/26 16:25:07  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:48:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/11/27 20:15:43  juandon
- new %%doc

Revision 1.3  2002/09/10 17:22:01  speedy
- release 2
- BR

Revision 1.2  2002/03/04 10:57:34  qboosh
- cosmetics, use proper CC, added pl description

Revision 1.1  2002/03/03 11:30:00  speedy
- initial PLD spec
